org.apache.tinkerpop.gremlin.process.remote.traversal

## Interface RemoteTraverser<T>

- All Superinterfaces:
    Attachable<T>, Cloneable, Comparable<Traverser<T>>, Serializable, Traverser<T>, Traverser.Admin<T>
  All Known Implementing Classes:
    AbstractRemoteTraverser, DefaultRemoteTraverser

      public interface RemoteTraverser<T>
      extends Traverser.Admin<T>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traverser

      `Traverser.Admin<T>`

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.util.Attachable

      `Attachable.Exceptions, Attachable.Method`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traverser.Admin

      `HALT`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Set<String>` | `getTags()` Get the tags associated with the traverser.

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traverser.Admin

      `addLabels, attach, detach, dropLabels, dropPath, getSideEffects, getStepId, incrLoops, initialiseLoops, isHalted, keepLabels, merge, resetLoops, set, setBulk, setSideEffects, setStepId, split, split`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traverser

      `asAdmin, bulk, clone, compareTo, get, loops, loops, path, path, path, sack, sack, sideEffects, sideEffects`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.util.Attachable

      `get`

- - ### Method Detail

    - #### getTags

          default Set<String> getTags()

      Description copied from interface: `Traverser.Admin`
      Get the tags associated with the traverser. Tags are used to categorize historic behavior of a traverser. The returned set is mutable.
      Specified by:
        `getTags` in interface `Traverser.Admin<T>`
      Returns:
        the set of tags associated with the traverser.

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.